atan/atan2

- Main Page
- Tutorials
- Functions
- Release Notes
- Examples

Functions
atan/atan2
Complete List of ArrayFire Functions ArrayFire Functions by Category » Mathematical functions » | Trigonometric functions

arc tan of input More...

## Functions
AFAPI array | atan (const array &in)
| C++ Interface for arc tan (tan inverse) More...
AFAPI af_err | af_atan (af_array *out, const af_array in)
| C Interface for arc tan. More...
AFAPI af_err | af_atan2 (af_array *out, const af_array lhs, const af_array rhs, const bool batch)
| C Interface for arc tan of two inputs. More...
AFAPI array | atan2 (const array &lhs, const array &rhs)
| C++ Interface for arc tan of two arrays. More...
AFAPI array | atan2 (const array &lhs, const double rhs)
| C++ Interface for arc tan of two arrays. More...
AFAPI array | atan2 (const double lhs, const array &rhs)
| C++ Interface for arc tan of two arrays. More...

## Detailed Description

arc tan of input

Note
  This function supports real inputs only. Complex inputs are not yet supported.

## Function Documentation

AFAPI af_err af_atan | ( | af_array * | out,
|  | const af_array | in
| ) |  |

C Interface for arc tan.

Parameters

  [out] | out | will contain arc tan of input
  [in] | in | is input array

Returns
  AF_SUCCESS if the execution completes properly

AFAPI af_err af_atan2 | ( | af_array * | out,
|  | const af_array | lhs,
|  | const af_array | rhs,
|  | const bool | batch
| ) |  |

C Interface for arc tan of two inputs.

Parameters

  [out] | out | will arc tan of the inputs
  [in] | lhs | value of numerator
  [in] | rhs | value of denominator
  [in] | batch | specifies if operations need to be performed in batch mode

Returns
  AF_SUCCESS if the execution completes properly

AFAPI array af::atan | ( | const array & | in | ) |

C++ Interface for arc tan (tan inverse)

Parameters

  [in] | in | is input array

Returns
  arc tan of input

AFAPI array af::atan2 | ( | const array & | lhs,
|  | const array & | rhs
| ) |  |

C++ Interface for arc tan of two arrays.

Parameters

  [in] | lhs | value of numerator
  [in] | rhs | value of denominator

Returns
  arc tan of the inputs

Examples:
  edge.cpp, and filters.cpp.

AFAPI array af::atan2 | ( | const array & | lhs,
|  | const double | rhs
| ) |  |

C++ Interface for arc tan of two arrays.

Parameters

  [in] | lhs | value of numerator
  [in] | rhs | value of denominator

Returns
  arc tan of the inputs

AFAPI array af::atan2 | ( | const double | lhs,
|  | const array & | rhs
| ) |  |

C++ Interface for arc tan of two arrays.

Parameters

  [in] | lhs | value of numerator
  [in] | rhs | value of denominator

Returns
  arc tan of the inputs